## ros-melodic-pr2-move-base 0.1.28

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_move_base)

find_package(catkin REQUIRED COMPONENTS move_base_msgs pr2_msgs actionlib actionlib_msgs rospy dynamic_reconfigure pr2_controllers_msgs pr2_common_action_msgs)

catkin_package(
    DEPENDS 
    CATKIN_DEPENDS move_base_msgs pr2_msgs actionlib actionlib_msgs rospy dynamic_reconfigure pr2_controllers_msgs pr2_common_action_msgs
    INCLUDE_DIRS
    LIBRARIES
)

install(PROGRAMS  scripts/pr2_move_base.py
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/scripts/)

=== debian/changelog ===
ros-melodic-pr2-move-base (0.1.28-1bionic) bionic; urgency=high

  * Merge pull request #36 <https://github.com/pr2/pr2_navigation/issues/36> from k-okada/fix_catkin_depends
    fixed CMake files for compile in kinetic
  * updated maintainer
  * fixed CMake files for compile in kinetic
  * Contributors: David Feil-Seifer, Kei Okada

 -- David Feil-Seifer <dave@cse.unr.edu>  Fri, 27 Apr 2018 00:00:00 -0000

ros-melodic-pr2-move-base (0.1.27-1bionic) bionic; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Mon, 22 Jun 2015 00:00:00 -0000

ros-melodic-pr2-move-base (0.1.26-1bionic) bionic; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 10 Feb 2015 00:00:00 -0000

ros-melodic-pr2-move-base (0.1.25-1bionic) bionic; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Fri, 06 Feb 2015 00:00:00 -0000

ros-melodic-pr2-move-base (0.1.24-1bionic) bionic; urgency=high

  * Remove mainpage.dox
  * Contributors: TheDash

 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 15 Oct 2014 00:00:00 -0000

ros-melodic-pr2-move-base (0.1.23-1bionic) bionic; urgency=high

  * Updated maintainership
  * Contributors: TheDash

 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 15 Oct 2014 00:00:00 -0000

ros-melodic-pr2-move-base (0.1.22-1bionic) bionic; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Mon, 08 Sep 2014 00:00:00 -0000

ros-melodic-pr2-move-base (0.1.21-1bionic) bionic; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Sat, 06 Sep 2014 00:00:00 -0000

ros-melodic-pr2-move-base (0.1.20-1bionic) bionic; urgency=high

  * 0.1.19
  * Added changelogs
  * 0.1.18
  * Generating changelogs; preparing for release
  * Contributors: TheDash

 -- David Feil-Seifer <dave@cse.unr.edu>  Sat, 06 Sep 2014 00:00:00 -0000

ros-melodic-pr2-move-base (0.1.19-1bionic) bionic; urgency=high

  * 0.1.18
  * Generating changelogs; preparing for release
  * Contributors: TheDash

 -- David Feil-Seifer <dave@cse.unr.edu>  Sat, 06 Sep 2014 00:00:00 -0000

ros-melodic-pr2-move-base (0.1.18-1bionic) bionic; urgency=high

  * catkinize packages
  * Add ignores.
  * Updating to fix head pointing for pr2_move_base
  * Testing on the robot with some updates to make things work with the new local planner
  * Transplanting arm tucking, checking AC power, and lowering the spine from trunk
  * A bunch of updates to pr2_move_base, fixing indentation, workaround for actionlib server bug, and should restore laser properly now
  * pr2_move_base now points the head forward when it gets a new goal
  * Adding pr2_move_base to manage the tilt laser resource for the move_base node on the pr2
  * Contributors: Austin Hendrix, Eitan Marder-Eppstein, Kei Okada, eitan

 -- David Feil-Seifer <dave@cse.unr.edu>  Sat, 06 Sep 2014 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-pr2-move-base
Section: misc
Priority: extra
Maintainer: David Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-move-base-msgs, ros-melodic-pr2-common-action-msgs, ros-melodic-pr2-controllers-msgs, ros-melodic-pr2-msgs, ros-melodic-rospy
Homepage: http://ros.org/wiki/pr2_move_base
Standards-Version: 3.9.2

Package: ros-melodic-pr2-move-base
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-dynamic-reconfigure, ros-melodic-move-base-msgs, ros-melodic-pr2-common-action-msgs, ros-melodic-pr2-controllers-msgs, ros-melodic-pr2-msgs, ros-melodic-rospy
Description: pr2_move_base

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pr2-move-base//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
